<!DOCTYPE html>
<head>
  <meta charset="utf-8">
  <title>Dreamscape Trees</title>
  <link rel="icon" href="data:,">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <script src="js/lib.js"></script>
  <script src="js/tree.js"></script>
  <script src="js/painter.js"></script>
  <style>
    * { box-sizing: border-box; }
    :root { font-size: 62.5%; }
    body { margin: 0; height: 100vh; }
    canvas { display: block; }
  </style>
</head>
<body>
  <canvas id="canvas"></canvas>

  <script>
    const painter = new Painter('canvas')

    const max = 1
    for (let i=0; i<max; i++) {
      const tree = new Tree({
        w: painter.canvas.width,
        h: painter.canvas.height,
        x: (painter.canvas.width / (max + 1)) * (i + 1)
      })
      painter.add(`tree-${i}`, tree.grow)
    }
  </script>
</body>
</html>